import { type DomainEvent } from '@modules/shared';

export class OrderCancelledEvent implements DomainEvent {
  readonly eventName = 'order.cancelled';
  readonly occurredAt = new Date();

  constructor(
    public readonly aggregateId: string,
    public readonly buyerId: string,
    public readonly sellerId: string,
  ) {}
}
